org.eclipse.jdt.core.util

## Interface IConstantValueAttribute

All Superinterfaces:
  IClassFileAttribute

    public interface IConstantValueAttribute
    extends IClassFileAttribute

Description of a constant value attribute as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IConstantPoolEntry` `getConstantValue()` Answer back the constant pool entry that represents the constant value of this attribute.
`int` `getConstantValueIndex()` Answer back the constant value index.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getConstantValueIndex

    int getConstantValueIndex()

Answer back the constant value index.

Returns:
  the constant value index

#### getConstantValue

    IConstantPoolEntry getConstantValue()

Answer back the constant pool entry that represents the constant value of this attribute.

Returns:
  the constant pool entry that represents the constant value of this attribute